From: Uladzimir Bely <ubely@ilbers.de>
To: isar-users@googlegroups.com
Subject: [PATCH v2 4/6] raspios: resize rootfs on first boot
Date: Mon, 17 Jan 2022 09:08:29 +0100 [thread overview]
Message-ID: <20220117080831.13345-5-ubely@ilbers.de> (raw)
In-Reply-To: <20220117080831.13345-1-ubely@ilbers.de>
Initially, after rpi-sdimg is created, a quite small rootfs partition
is created. After boot, there is almost no free space.
This patch uses scripts (idea is taken from official raspbian distro)
that make rootfs partition expanded at first boot.
Signed-off-by: Uladzimir Bely <ubely@ilbers.de>
---
meta-isar/conf/distro/raspios-configscript.sh | 23 ++++++++++++++++++-
1 file changed, 22 insertions(+), 1 deletion(-)
diff --git a/meta-isar/conf/distro/raspios-configscript.sh b/meta-isar/conf/distro/raspios-configscript.sh
index 6120a379..9a7c43e6 100644
--- a/meta-isar/conf/distro/raspios-configscript.sh
+++ b/meta-isar/conf/distro/raspios-configscript.sh
@@ -19,7 +19,7 @@ EOF
cat > /boot/cmdline.txt << EOF
console=${MACHINE_SERIAL},${BAUDRATE_TTY} console=tty1 \
root=/dev/mmcblk0p2 rootfstype=ext4 fsck.repair=yes \
-rootwait quiet
+rootwait quiet init=/usr/lib/raspi-config/init_resize.sh
EOF
cat > /etc/fstab << EOF
@@ -27,3 +27,24 @@ proc /proc proc defaults 0 0
/dev/mmcblk0p1 /boot vfat defaults 0 2
/dev/mmcblk0p2 / ext4 defaults,noatime 0 1
EOF
+
+cat > /etc/init.d/resize2fs_once << EOF
+#!/bin/sh
+. /lib/lsb/init-functions
+case "\$1" in
+ start)
+ log_daemon_msg "Starting resize2fs_once"
+ ROOT_DEV=\$(findmnt / -o source -n) &&
+ resize2fs \$ROOT_DEV &&
+ update-rc.d resize2fs_once remove &&
+ rm /etc/init.d/resize2fs_once &&
+ log_end_msg \$?
+ ;;
+ *)
+ echo "Usage: \$0 start" >&2
+ exit 3
+ ;;
+esac
+EOF
+chmod +x /etc/init.d/resize2fs_once
+ln -s ../init.d/resize2fs_once /etc/rc3.d/S01resize2fs_once
--
2.20.1
next prev parent reply other threads:[~2022-01-17 8:08 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-01-17 8:08 [PATCH v2 0/6] Update rpi targets to bullseye Uladzimir Bely
2022-01-17 8:08 ` [PATCH v2 1/6] linux: Allow to use custom packages for linux headers and image Uladzimir Bely
2022-01-17 8:08 ` [PATCH v2 2/6] rpi-sdimage: Change deployed image name Uladzimir Bely
2022-01-17 8:08 ` [PATCH v2 3/6] rpi: Added raspios-bullseye configs Uladzimir Bely
2022-01-17 8:08 ` Uladzimir Bely [this message]
2022-01-17 8:08 ` [PATCH v2 5/6] CI: Switch rpi targets to bullseye Uladzimir Bely
2022-01-17 8:08 ` [PATCH v2 6/6] doc: Add notes about raspios-bullseye Uladzimir Bely
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20220117080831.13345-5-ubely@ilbers.de \
--to=ubely@ilbers.de \
--cc=isar-users@googlegroups.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox